#####################################
# MaNGOS Configuration file         #
#####################################
ConfVersion=2008080101

###################################################################################################################
# CONNECTIONS AND DIRECTORIES
#
#    RealmID
#        RealmID must match the realmlist inside the realmd database
#
#    DataDir
#        Data directory setting.
#        Important: DataDir needs to be quoted, as it is a string which may contain space characters.
#        Example: "@prefix@/share/mangos"
#
#    LogsDir
#        Logs directory setting.
#        Important: Logs dir must exists, or all logs need to be disabled
#        Default: "" - no log directory prefix, if used log names isn't absolute path
#        then logs will be stored in current directory for run program.
#
#
#    LoginDatabaseInfo
#    WorldDatabaseInfo
#    CharacterDatabaseInfo
#        Database connection settings for the world server.
#        Default:
#                ---MYSQL---
#                    hostname;port;username;password;database
#                    .;somenumber;username;password;database - use named pipes at Windows
#                        Named pipes: mySQL required adding "enable-named-pipe" to [mysqld] section my.ini
#                    .;/path/to/unix_socket;username;password;database - use Unix sockets at Unix/Linux
#                ---PGSQL---
#                    hostname;port;username;password;database
#                    .;/path/to/unix_socket/DIRECTORY or . for default path;username;password;database - use Unix sockets at Unix/Linux
#
#    MaxPingTime
#        Settings for maximum database-ping interval (minutes between pings)
#
#    WorldServerPort
#        Default WorldServerPort
#
#    BindIP
#        Bind World Server to IP/hostname
#
###################################################################################################################

RealmID = 1
DataDir = "."
LogsDir = ""
LoginDatabaseInfo     = "127.0.0.1;3306;root;pass;realmd"
WorldDatabaseInfo     = "127.0.0.1;3306;root;pass;mangos"
CharacterDatabaseInfo = "127.0.0.1;3306;root;pass;characters"
MaxPingTime = 30
WorldServerPort = 8085
BindIP = "0.0.0.0"

###################################################################################################################
# PERFORMANCE SETINGS
#
#    UseProcessors
#        Used processors mask for multi-processors system (Used only at Windows)
#        Default: 0 (selected by OS)
#                 number (bitmask value of selected processors)
#
#    ProcessPriority
#        Process priority setting (Used only at Windows)
#        Default: 1 (HIGH)
#                 0 (Normal)
#
#    Compression
#        Compression level for update packages sent to client (1..9)
#        Default: 1 (speed)
#                 9 (best compression)
#
#    PlayerLimit
#        Maximum number of players in the world. Excluding Mods, GM's and Admins
#        Default: 100
#                 0 (for infinite players)
#                -1 (for Mods, GM's and Admins only)
#                -2 (for GM's and Admins only)
#                -3 (for Admins only)
#
#    SaveRespawnTimeImmediately
#        Save respawn time for creatures at death and for gameobjects at use/open
#        Default: 1 (save creature/gameobject respawn time without waiting grid unload)
#                 0 (save creature/gameobject respawn time at grid unload)
#
#    MaxOverspeedPings
#        Maximum overspeed ping count before player kick (minimum is 2, 0 used for disable check)
#        Default: 2
#
#    GridUnload
#        Unload grids (if you have lot memory you can disable it to speed up player move to new grids second time)
#        Default: 1 (unload grids)
#                 0 (do not unload grids)
#
#    SocketSelectTime
#        Socket select time (in milliseconds)
#        Default: 10000 (10 secs)
#
#    GridCleanUpDelay
#        Grid clean up delay (in milliseconds)
#        Default: 300000 (5 min)
#
#    MapUpdateInterval
#        Map update interval (in milliseconds)
#        Default: 100
#
#    ChangeWeatherInterval
#        Weather update interval (in milliseconds)
#        Default: 600000 (10 min)
#
#    PlayerSaveInterval
#        Player save interval (in milliseconds)
#        Default: 900000 (15 min)
#
#    vmap.enableLOS
#    vmap.enableHeight
#        Enable/Disable VMmap support for line of sight and height calculation
#        Default: 0 (disable)
#                 1 (enable)
#
#    vmap.ignoreMapIds
#        Map id that will be ignored by VMaps
#        List of ids with delimiter ','
#        If more then one id is defined and spaces are included, the string has to be enclosed by "
#        Example: "369,0,1,530"
#
#    vmap.ignoreSpellIds
#        These spells are ignored for LoS calculation
#        List of ids with delimiter ','
#
#    DetectPosCollision
#        Check final move position, summon position, etc for visible collision with other objects or
#        wall (wall only if vmaps are enabled)
#        Default: 1 (enable, required more CPU power usage)
#                 0 (disable, less nice position selection but will less CPU power usage)
#
#    TargetPosRecalculateRange
#        Max distance from movement target point (+moving unit size) and targeted object (+size)
#        after that new target movmeent point calculated. Max: melee attack range (5), min: contact range (0.5)
#        More distance let have better performence, less distance let have more sensitive reaction at target move.
#        Default: 1.5
#
#    UpdateUptimeInterval
#        Update realm uptime period in minutes (for save data in 'uptime' table). Must be > 0
#        Default: 10 (minutes)
#
#    MaxCoreStuckTime
#        Periodically check if the process got freezed, if this is the case force crash after the specified
#        amount of seconds. Must be > 0. Recommended > 10 secs if you use this.
#        Default: 0 (Disabled)
#
#    AddonChannel
#        Permit/disable the use of the addon channel through the server
#        (some client side addons can stop work correctly with disabled addon channel)
#        Default: 1 (permit addon channel)
#                 0 (do not permit addon channel)
#
###################################################################################################################

UseProcessors = 0
ProcessPriority = 1
Compression = 1
PlayerLimit = 1000
SaveRespawnTimeImmediately = 1
MaxOverspeedPings = 2
GridUnload = 1
SocketSelectTime = 10000
GridCleanUpDelay = 300000
MapUpdateInterval = 100
ChangeWeatherInterval = 600000
PlayerSaveInterval = 900000
vmap.enableLOS = 1
vmap.enableHeight = 1
vmap.ignoreMapIds = "369"
vmap.ignoreSpellIds = "7720"
DetectPosCollision = 1
TargetPosRecalculateRange = 1.5
UpdateUptimeInterval = 10
MaxCoreStuckTime = 0
AddonChannel = 1

###################################################################################################################
# SERVER LOGGING
#
#    LogSQL
#        Enable logging of GM commands - all SQL code will be written to a log file
#        All commands are written to a file: YYYY-MM-DD_logSQL.sql
#        If a new day starts (00:00:00) then a new file is created - the old file will not be deleted.
#        Default: 1 - Write SQL code to logfile
#                 0 - Do not log
#
#    PidFile
#        World daemon PID file
#        Default: ""             - do not create PID file
#                 "./worldd.pid" - create PID file (recommended name)
#
#    LogLevel
#        Server console level of logging
#        0 = Minimum; 1 = Basic&Error; 2 = Detail; 3 = Full/Debug
#        Default: 3
#
#    LogTime
#        Include time in server console output [hh:mm:ss]
#        Default: 0 (no time)
#                 1 (print time)
#
#    LogFile
#        Logfile name
#        Default: "Server.log"
#                 "" - Empty name disable creating log file
#
#    LogTimestamp
#        Logfile with timestamp of server start in name
#        Default: 0 - no timestamp in name
#                 1 - add timestamp in name in form Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#
#    LogFileLevel
#        Server file level of logging
#        0 = Minimum; 1 = Error; 2 = Detail; 3 = Full/Debug
#        Default: 0
#
#    LogFilter_AchievementUpdates
#    LogFilter_CreatureMoves
#    LogFilter_TransportMoves
#    LogFilter_VisibilityChanges
#        Log filters
#        Default: 1 - not include with any log level
#                 0 - include in log if log level permit
#
#    WorldLogFile
#        Packet logging file for the worldserver
#        Default: "world.log"
#
#    WorldLogTimestamp
#        Logfile with timestamp of server start in name
#        Default: 0 - no timestamp in name
#                 1 - add timestamp in name in form Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#
#    DBErrorLogFile
#        Log file of DB errors detected at server run
#        Default: "DBErrors.log"
#
#    CharLogFile
#        Character operations logfile name
#        Default: "Char.log"
#                 "" - Empty name disable creating log file
#
#    CharLogTimestamp
#        Logfile with timestamp of server start in name
#        Default: 0 - no timestamp in name
#                 1 - add timestamp in name in form Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#
#    CharLogDump
#        Write character dump before deleting in Char.log
#        For restoration, cut character data from log starting from
#        line == START DUMP == to line == END DUMP == (without its) in file and load it using loadpdump command
#        Default: 0 - don't include dumping chars to log
#                 1 - include dumping chars to log
#
#    GmLogFile
#        GM Log file of gm commands
#        Default: "" (Disable)
#
#    GmLogTimestamp
#        GM Logfile with timestamp of server start in name
#        Default: 0 - no timestamp in name
#                 1 - add timestamp in name in form Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#
#    GmLogPerAccount
#        GM Logfiles with GM account id (Note: logs not created if GmLogFile not set)
#        Default: 0 - add gm log data to single log file
#                 1 - add gm log data to account specific log files with name
#                     in form Logname_#ID_YYYY-MM-DD_HH-MM-SS.Ext
#                     or form Logname_#ID.Ext
#
#    RaLogFile
#        Log file of RA commands
#        Default: "Ra.log"
#                 "" - Empty name for disable
#
#    LogColors
#        Color for messages (format "normal_color details_color debug_color error_color")
#        Colors: 0 - BLACK, 1 - RED, 2 - GREEN,  3 - BROWN, 4 - BLUE, 5 - MAGENTA, 6 -  CYAN, 7 - GREY,
#                8 - YELLOW, 9 - LRED, 10 - LGREEN, 11 - LBLUE, 12 - LMAGENTA, 13 - LCYAN, 14 - WHITE
#        Default: "" - none colors
#        Example: "13 7 11 9"
#
###################################################################################################################

LogSQL = 1
PidFile = ""
LogLevel = 0
LogTime = 0
LogFile = "Server.log"
LogTimestamp = 0
LogFileLevel = 0
LogFilter_AchievementUpdates = 1
LogFilter_CreatureMoves = 1
LogFilter_TransportMoves = 1
LogFilter_VisibilityChanges = 1
WorldLogFile = ""
WorldLogTimestamp = 0
DBErrorLogFile = "DBErrors.log"
CharLogFile = "Char.log"
CharLogTimestamp = 0
CharLogDump = 0
GmLogFile = ""
GmLogTimestamp = 0
GmLogPerAccount = 0
RaLogFile = ""
LogColors = "13 7 11 9"

# Chat log parameters
ChatLogEnable = 0

# If this is enabled, all $d in file names are replaced with current date
# This does include innormative lexics log
ChatLogDateSplit = 1

# If this is enabled, UTF8 header is written into new files
ChatLogUTFHeader = 1

# If this is enabled, chat log will ignore messages with unprintable chars
ChatLogIgnoreUnprintable = 1

# Chat log files
ChatLogChatFile = main_chat-$d.log
ChatLogPartyFile = party_chat-$d.log
ChatLogGuildFile = guild_chat-$d.log
ChatLogWhisperFile = whisper_chat-$d.log
ChatLogChannelFile = channel_chat-$d.log
ChatLogRaidFile = raid_chat-$d.log
ChatLogBattleGroundFile = bg_chat-$d.log

# Chat log screen logging
ChatLogChatScreen = 0
ChatLogPartyScreen = 0
ChatLogGuildScreen = 0
ChatLogWhisperScreen = 0
ChatLogChannelScreen = 0
ChatLogRaidScreen = 0
ChatLogBattleGroundScreen = 0

# Lexics cutter parameters
LexicsCutterEnable = 0

LexicsCutterInnormativeCut = 1
LexicsCutterCutReplacement = &!@^%!^&*!!!
LexicsCutterLogFile = innormative-$d.log
LexicsCutterScreenLog = 0
LexicsCutterAnalogsFile = letter_analogs.txt
LexicsCutterWordsFile = innormative_words.txt

# Where to cut lexics
LexicsCutInChat = 1
LexicsCutInParty = 1
LexicsCutInGuild = 1
LexicsCutInWhisper = 1
LexicsCutInChannel = 1
LexicsCutInRaid = 1
LexicsCutInBattleGround = 1

# Ignore word spaces like: W O R D
LexicsCutterIgnoreSpaces = 1

# Ignore repeats like: WWOOOORRRRRD
LexicsCutterIgnoreRepeats = 1

# --- Action:
# ---   0: log only
# ---   1: sheep
# ---   2: stun
# ---   3: kill
# ---   4: leave 5 health
# ---   5: disable chat
# ---   6: stuck (works as stun + 50% health) [by KAPATEJIb]
# ---   7: resurrection sickness [by Koshei]
# ---   8: shear [by Koshei]
LexicsCutterAction = 0
LexicsCutterActionDuration = 60000

# Do not perform action on GM if this is enabled
LexicsCutterNoActionOnGM = 1

###################################################################################################################
# SERVER SETTINGS
#
#    GameType
#        Server realm style
#        0 = NORMAL;1 = PVP; 4 = NORMAL; 6 = RP; 8 = RPPVP
#        also custom type: 16 FFA_PVP (free for all pvp mode like arena PvP in all zones except rest
#        activated places and sanctuaries)
#
#    RealmZone
#        Server realm zone (set allowed alphabet in character names/etc). See also Strict*Names options.
#
#    1 Development    - any language (Default)
#    2 United States  - extended-Latin
#    3 Oceanic        - extended-Latin
#    4 Latin America  - extended-Latin
#    5 Tournament     - basic-Latin at create, any at login
#    6 Korea          - East-Asian
#    7 Tournament     - basic-Latin at create, any at login
#    8 English        - extended-Latin
#    9 German         - extended-Latin
#    10 French        - extended-Latin
#    11 Spanish       - extended-Latin
#    12 Russian       - Cyrillic
#    13 Tournament    - basic-Latin at create, any at login
#    14 Taiwan        - East-Asian
#    15 Tournament    - basic-Latin at create, any at login
#    16 China         - East-Asian
#    17 CN1           - basic-Latin at create, any at login
#    18 CN2           - basic-Latin at create, any at login
#    19 CN3           - basic-Latin at create, any at login
#    20 CN4           - basic-Latin at create, any at login
#    21 CN5           - basic-Latin at create, any at login
#    22 CN6           - basic-Latin at create, any at login
#    23 CN7           - basic-Latin at create, any at login
#    24 CN8           - basic-Latin at create, any at login
#    25 Tournament    - basic-Latin at create, any at login
#    26 Test Server   - any language
#    27 Tournament    - basic-Latin at create, any at login
#    28 QA Server     - any language
#    29 CN9           - basic-Latin at create, any at login
#
#    Expansion
#        Allow server use content from expansion
#        Default: 2 - check expansion 2 maps existence, and if client support expansion 2 and account have
#                     expansion 2 setting then allow visit expansion 2 maps, allow create new class character)
#                 1 - check expansion 1 maps existence, and if client support expansion 1 and account have
#                     expansion 1 setting then allow visit expansion 1 maps, allow create new races character)
#                 0 - not check expansion maps existence, not allow wisit its, not allow create new race or new class
#                     characters, ignore account expansion setting)
#
#    DBC.Locale
#        DBC Language Settings
#        0 = English; 1 = Korean; 2 = French; 3 = German; 4 = Chinese; 5 = Taiwanese; 6 = Spanish; 7 = Spanish Mexico
#        8 = Russian; 255 = Auto Detect (Default)
#
#    DeclinedNames
#    Allow russian clients to set and use declined names
#    Default: 0 - do not use declined names, except when the Russian RealmZone is set
#         1 - use declined names
#
#    StrictPlayerNames
#        Limit player name to language specific symbols set, not allow create characters, and set rename request and disconnect at not allowed symbols name
#        Default: 0 disable (but limited server timezone dependent client check)
#                 1 basic latin characters  (strict)
#                 2 realm zone specific (strict). See RealmZone setting.
#                   Note: In any case if you want correctly see character name at client this client must have apporopriate fonts
#                   (included in client by default, with active official localization or custom localization fonts in clientdir/Fonts).
#                 3 basic latin characters + server timezone specific
#
#    StrictCharterNames
#        Limit guild/arena team charter names to language specific symbols set, not allow create charters with allowed symbols in name
#        Default: 0 disable
#                 1 basic latin characters  (strict)
#                 2 realm zone specific (strict). See RealmZone setting.
#                   Note: In any case if you want correctly see character name at client this client must have apporopriate fonts
#                   (included in client by default, with active official localization or custom localization fonts in clientdir/Fonts).
#                 3 basic latin characters + server timezone specific
#
#    StrictPetNames
#        Limit pet names to language specific symbols set
#        Default: 0 disable
#                 1 basic latin characters  (strict)
#                 2 realm zone specific (strict). See RealmZone setting.
#                   Note: In any case if you want correctly see character name at client this client must have apporopriate fonts
#                   (included in client by default, with active official localization or custom localization fonts in clientdir/Fonts).
#                 3 basic latin characters + server timezone specific
#
#    MinPlayerName
#        Minimal name length (1..12)
#        Default: 2
#
#    MinCharterName
#        Minimal name length (1..24)
#        Default: 2
#
#    MinPetName
#        Minimal name length (1..12)
#        Default: 2
#
#    CharactersCreatingDisabled
#        Disable characters creating for specific team or any (non-player accounts not affected)
#        Default: 0 - enabled
#                 1 - disabled only for Alliance
#                 2 - disabled only for Horde
#                 3 - disabled for both teams
#
#    CharactersPerAccount
#        Limit numbers of characters per account (at all realms).
#        Note: this setting limit character creating at _current_ realm base at characters amount at all realms
#        Default: 50
#                The number must be >= CharactersPerRealm
#
#    CharactersPerRealm
#        Limit numbers of characters for account at realm
#        Default: 10 (client limitation)
#                The number must be between 1 and 10
#
#    HeroicCharactersPerRealm
#        Limit numbers of heroic class characters for account at realm
#        Default: 1
#                The number must be between 0 (not allowed) and 10
#
#    MinLevelForHeroicCharacterCreating
#        Limit creating heroic characters only for account with another character of specific level (ignored for GM accounts)
#                 0  - not require any existed chaarcter
#                 1  - require at least any character existed
#        Default: 55 - default requirement
#
#
#    SkipCinematics
#        Disable in-game script movie at first character's login(allows to prevent buggy intro in case of custom start location coordinates)
#        Default: 0 - show intro for each new characrer
#                 1 - show intro only for first character of selected race
#                 2 - disable intro show in all cases
#
#    MaxPlayerLevel
#        Max level that can be reached by player for experience (in range from 1 to 100).
#        Change not recommended
#        Default: 80
#
#    MinDualSpecLevel
#    Min level at which players can use Dual Spec functionality
#    Default: 40
#
#    OffhandCheckAtSpellUnlearn
#    Unlearning certain spells can change offhand weapon restrictions for equip slots.
#    Default: 0 - recheck offhand slot weapon only at zone update
#             1 - recheck offhand slot weapon at unlearning a spell
#
#    StartPlayerLevel
#        Staring level that have character at creating (in range 1 to MaxPlayerLevel)
#        Default: 1
#
#    StartHeroicPlayerLevel
#        Staring level that have character of heroic class at creating (in range 1 to MaxPlayerLevel)
#        Default: 55
#
#    StartPlayerMoney
#        Amount of money that new players will start with.
#        If you want to start with silver, use for example 100 (100 copper = 1 silver)
#        Default: 0
#
#    MaxHonorPoints
#        Max honor points that player can have.
#        Default: 75000
#
#    StartHonorPoints
#        Amount of honor that new players will start with
#        Default: 0
#
#    MaxArenaPoints
#        Max arena points that player can have.
#        Default: 5000
#
#    StartArenaPoints
#        Amount of arena points that new players will start with
#        Default: 0
#
#    InstantLogout
#        Enable or disable instant logout for security level (0..4) or high (NOT in combat/while dueling/while falling)
#        Default: 1 (Mods/GMs/Admins)
#
#    AllFlightPaths
#        Players will start with all flight paths (Note: ALL flight paths, not only player's team)
#        Default: 0 (false)
#                 1 (true)
#
#    AlwaysMaxSkillForLevel
#        Players will automatically gain max level dependent (weapon/defense) skill when logging in, leveling up etc.
#        Default: 0 (false)
#                 1 (true)
#
#    ActivateWeather
#        Activate weather system
#        Default: 1 (true)
#                 0 (false)
#
#    CastUnstuck
#        Allow cast or not Unstuck spell at .start or client Help option use
#        Default: 1 (true)
#                 0 (false)
#
#    Instance.IgnoreLevel
#        Ignore level requirement to enter instance
#        Default: 0 (false)
#                 1 (true)
#
#    Instance.IgnoreRaid
#        Ignore raid requirement to enter instance
#        Default: 0 (false)
#                 1 (true)
#
#    Instance.ResetTimeHour
#        The hour of the day (0-23) when the global instance resets occur.
#        Default: 4
#
#    Instance.UnloadDelay
#        Unload the instance map from memory after some time if no players are inside.
#        Default: 1800000 (miliseconds 30 minutes)
#                 0 (instance maps are kept in memory until they are reset)
#
#    Quests.LowLevelHideDiff
#        Quest level difference to hide for player low level quests:
#        if player_level > quest_level + LowLevelQuestsHideDiff then quest "!" mark not show for quest giver
#        Default: 4
#                -1 (show all available quests marks)
#
#    Quests.HighLevelHideDiff
#        Quest level difference to hide for player high level quests:
#        if player_level < quest_min_level - HighLevelQuestsHideDiff then quest "!" mark not show for quest giver
#        Default: 7
#                -1 (show all available quests marks)
#
#    Guild.EventLogRecordsCount
#        Count of guild event log records stored in guild_eventlog table
#        Increase to store more guild events in table, minimum is 100
#        You can set it to very high value to prevent oldest guild events to be rewritten by latest guild events - but it can slow down performance
#        Default: 100
#
#    Guild.BankEventLogRecordsCount
#        Count of guild_bank event log records stored in guild_bank_eventlog table
#        Increase to store more guild_bank events in table - minimum is 25 (GUILD_BANK_MAX_LOGS) for each guild_bank tab
#        Useful when you don't want old log events to be overwritten by new, but increasing can slow down performance
#        Default: 25
#
#    TimerBar.Fatigue.GMLevel
#        Disable/enable fatigue for security level (0..4) or high
#        Default: 4 (None)
#
#    TimerBar.Fatigue.Max
#        Fatigue max timer value (in secs)
#        Default: 60 (1 minute)
#                  0 (instant death)
#
#    TimerBar.Breath.GMLevel
#        Disable/enable waterbreathing for security level (0..4) or high
#        Default: 4 (None)
#
#    TimerBar.Breath.Max
#        Waterbreathing max timer value (in secs)
#        Default: 180
#                   0 (instant underwater breathing damage start)
#
#    TimerBar.Fire.GMLevel
#        Disable/enable lava fire damage for security level (0..4) or high
#        Default: 4 (None)
#
#    TimerBar.Fire.Max
#        Lava damage delay max timer value (in secs)
#        Default:  1
#                  0 (instant in lava damage start)
#
#    MaxPrimaryTradeSkill
#        Max count that player can learn the primary trade skill.
#        Default: 2
#        Max : 10
#
#    MinPetitionSigns
#        Min signatures count to creating guild (0..9).
#        Default: 9
#
#    MaxGroupXPDistance
#        Max distance to creature for group memeber to get XP at creature death.
#        Default: 74
#
#    MailDeliveryDelay
#        Mail delivery delay time for item sending
#        Default: 3600 sec (1 hour)
#
#    SkillChance.Prospecting
#        For prospecting skillup impossible by default, but can be allowed as custom setting
#        Default: 0 - no skilups
#                 1 - skilups possible
#
#    SkillChance.Milling
#        For milling skillup impossible by default, but can be allowed as custom setting
#        Default: 0 - no skilups
#                 1 - skilups possible
#
#    OffhandCheckAtTalentsReset
#        Talent reset can change offhand weapon restrictions for equip slots.
#        Default: 0 - recheck offhand slot weapon only at zone update
#                 1 - recheck offhand slot weapon at talent reset also
#
#    ClientCacheVersion
#        Client cache version for client cache data reset. Use any different from DB value and not recently used for triggering reset.
#        Default: 0 (use DB value from world DB db_version.cache_id field)
#
#    Event.Announce
#        Default: 0 (false)
#                 1 (true)
#
#    BeepAtStart
#        Beep at mangosd start finished (mostly work only at Unix/Linux systems)
#        Default: 1 (true)
#                 0 (false)
#
#    Motd
#        Message of the Day. Displayed at worldlogin for every user ('@' for a newline).
#
###################################################################################################################

GameType = 1
RealmZone = 1
Expansion = 2
DBC.Locale = 255
DeclinedNames = 0
StrictPlayerNames = 0
StrictCharterNames = 0
StrictPetNames = 0
MinPlayerName = 2
MinCharterName = 2
MinPetName = 2
CharactersCreatingDisabled = 0
CharactersPerAccount = 50
CharactersPerRealm = 10
HeroicCharactersPerRealm = 1
MinLevelForHeroicCharacterCreating = 55
SkipCinematics = 0
MaxPlayerLevel = 80
MinDualSpecLevel = 40
OffhandCheckAtSpellUnlearn = 0
StartPlayerLevel = 1
StartHeroicPlayerLevel = 55
StartPlayerMoney = 10000
MaxHonorPoints = 75000
StartHonorPoints = 0
MaxArenaPoints = 5000
StartArenaPoints = 0
InstantLogout = 1
DisableWaterBreath = 4
AllFlightPaths = 0
AlwaysMaxSkillForLevel = 0
ActivateWeather = 1
CastUnstuck = 1
Instance.IgnoreLevel = 1
Instance.IgnoreRaid = 1
Instance.ResetTimeHour = 2
Instance.UnloadDelay = 1800000
Quests.LowLevelHideDiff = 4
Quests.HighLevelHideDiff = 7
Guild.EventLogRecordsCount = 100
Guild.BankEventLogRecordsCount = 25
TimerBar.Fatigue.GMLevel = 4
TimerBar.Fatigue.Max = 60
TimerBar.Breath.GMLevel = 4
TimerBar.Breath.Max = 180
TimerBar.Fire.GMLevel = 4
TimerBar.Fire.Max = 1
MaxPrimaryTradeSkill = 2
MinPetitionSigns = 9
MaxGroupXPDistance = 74
MailDeliveryDelay = 0
SkillChance.Prospecting = 0
SkillChance.Milling = 0
OffhandCheckAtTalentsReset = 0
ClientCacheVersion = 0
Event.Announce = 0
BeepAtStart = 0
Motd = "Welcome to the World of Warcraft!"

###################################################################################################################
# PLAYER INTERACTION
#
#    AllowTwoSide.Accounts
#        Allow or not accounts to create characters in the 2 teams in any game type.
#        Default: 0 (Not allowed)
#                 1 (Allowed)
#
#    AllowTwoSide.Interaction.Chat
#    AllowTwoSide.Interaction.Channel
#    AllowTwoSide.Interaction.Group
#    AllowTwoSide.Interaction.Guild
#    AllowTwoSide.Interaction.Auction
#    AllowTwoSide.Interaction.Mail
#        Allow or not common :chat(say,yell);channel(chat)group(join)guild(join);merge all auction houses for players from
#        different teams, send mail to different team.
#        Default: 0 (Not allowed)
#                 1 (Allowed)
#
#    AllowTwoSide.WhoList
#        Allow or not show player from both team in who list.
#        Default: 0 (Not allowed)
#                 1 (Allowed)
#
#    AllowTwoSide.AddFriend
#        Allow or not adding friends from other team in friend list.
#        Default: 0 (Not allowed)
#                 1 (Allowed)
#
#    TalentsInspecting
#        Allow other players see character talents in inspect dialog (Characters in Gamemaster mode can
#        inspect talents always)
#        Default: 1 (allow)
#                 0 (not allow)
#
###################################################################################################################

AllowTwoSide.Accounts = 1
AllowTwoSide.Interaction.Chat = 0
AllowTwoSide.Interaction.Channel = 0
AllowTwoSide.Interaction.Group = 0
AllowTwoSide.Interaction.Guild = 0
AllowTwoSide.Interaction.Auction = 1
AllowTwoSide.Interaction.Mail = 0
AllowTwoSide.WhoList = 0
AllowTwoSide.AddFriend = 0
TalentsInspecting = 1

###################################################################################################################
# AUTO BROADCAST
#
#    AutoBroadcast.On
#        Enable auto broadcast
#        Default: 0 - off
#                 1 - on
#
#    AutoBroadcast.Center
#        Display method
#        Default: 0 - announce
#                 1 - notify
#                 2 - both
#
#    AutoBroadcast.Timer
#        Timer for auto broadcast
#
###################################################################################################################

AutoBroadcast.On = 0
AutoBroadcast.Center = 0
AutoBroadcast.Timer = 30000

###################################################################################################################
# CREATURE SETTINGS
#
#    ThreatRadius
#        Radius for creature to evade after being pulled away from combat start point
#        If ThreatRadius is less than creature aggro radius then aggro radius will be used
#        Default: 100 yards
#
#    Rate.Creature.Aggro
#        Aggro radius percent or off.
#        Default: 1   - 100%
#                 1.5 - 150%
#                 0   - off (0%)
#
#    CreatureFamilyFleeAssistanceRadius
#        Radius which creature will use to seek for a near creature for assistance. Creature will flee to this creature.
#        Default: 30
#                 0   - off
#
#    CreatureFamilyAssistanceRadius
#        Radius which creature will use to call assistance without moving
#        Default: 10
#                 0   - off
#
#    CreatureFamilyAssistanceDelay
#        Reaction time for creature assistance call
#        Default: 1500 (1.5s)
#
#    CreatureFamilyFleeDelay
#        Time during which creature can flee when no assistant found
#        Default: 7000 (7s)
#
#    WorldBossLevelDiff
#        Difference for boss dynamic level with target
#        Default: 3
#
#    Corpse.Decay.NORMAL
#    Corpse.Decay.RARE
#    Corpse.Decay.ELITE
#    Corpse.Decay.RAREELITE
#    Corpse.Decay.WORLDBOSS
#        Seconds until creature corpse will decay without being looted or skinned.
#        Default: 60, 300, 300, 300, 3600
#
#    Rate.Corpse.Decay.Looted
#         Controls how long the creature corpse stays after it had been looted, as a multiplier of its Corpse.Decay.* config.
#         Default: 0.1
#
#    Rate.Creature.Normal.Damage
#    Rate.Creature.Elite.Elite.Damage
#    Rate.Creature.Elite.RAREELITE.Damage
#    Rate.Creature.Elite.WORLDBOSS.Damage
#    Rate.Creature.Elite.RARE.Damage
#        Creature Damage Rates.
#        Examples: 2 - creatures will damage 2x, 1.7 - 1.7x.
#
#    Rate.Creature.Normal.SpellDamage
#    Rate.Creature.Elite.Elite.SpellDamage
#    Rate.Creature.Elite.RAREELITE.SpellDamage
#    Rate.Creature.Elite.WORLDBOSS.SpellDamag
#    Rate.Creature.Elite.RARE.SpellDamage
#        Creature Spell Damage Rates.
#        Examples: 2 - creatures will damage with spells 2x, 1.7 - 1.7x.
#
#    Rate.Creature.Normal.HP
#    Rate.Creature.Elite.Elite.HP
#    Rate.Creature.Elite.RAREELITE.HP
#    Rate.Creature.Elite.WORLDBOSS.HP
#    Rate.Creature.Elite.RARE.HP
#        Creature Health Ammount Modifier.
#        Examples: 2 - creatures have 2x health, 1.7 - 1.7x.
#
#    ListenRange.Say
#        Distance from player to listen text that creature (or other world object) say
#        Default: 25
#
#    ListenRange.TextEmote
#        Distance from player to listen textemote that creature (or other world object) say
#        Default: 25
#
#    ListenRange.Yell
#        Distance from player to listen text that creature (or other world object) yell
#        Default: 300
#
###################################################################################################################

ThreatRadius = 100
Rate.Creature.Aggro = 1
CreatureFamilyFleeAssistanceRadius = 30
CreatureFamilyAssistanceRadius = 10
CreatureFamilyAssistanceDelay = 1500
CreatureFamilyFleeDelay = 7000
WorldBossLevelDiff = 3
Corpse.Decay.NORMAL = 60
Corpse.Decay.RARE = 300
Corpse.Decay.ELITE = 300
Corpse.Decay.RAREELITE = 300
Corpse.Decay.WORLDBOSS = 3600
Rate.Corpse.Decay.Looted = 0.1
Rate.Creature.Normal.Damage = 1
Rate.Creature.Elite.Elite.Damage = 1
Rate.Creature.Elite.RAREELITE.Damage = 1
Rate.Creature.Elite.WORLDBOSS.Damage = 1
Rate.Creature.Elite.RARE.Damage = 1
Rate.Creature.Normal.SpellDamage = 1
Rate.Creature.Elite.Elite.SpellDamage = 1
Rate.Creature.Elite.RAREELITE.SpellDamage = 1
Rate.Creature.Elite.WORLDBOSS.SpellDamage = 1
Rate.Creature.Elite.RARE.SpellDamage = 1
Rate.Creature.Normal.HP = 1
Rate.Creature.Elite.Elite.HP = 1
Rate.Creature.Elite.RAREELITE.HP = 1
Rate.Creature.Elite.WORLDBOSS.HP = 1
Rate.Creature.Elite.RARE.HP = 1
ListenRange.Say = 40
ListenRange.TextEmote = 40
ListenRange.Yell = 300

###################################################################################################################
# CHAT SETTINGS
#
#    ChatFakeMessagePreventing
#        Chat protection from creating fake messages using a lot spaces (other invisible symbols),
#        not applied to addon language messages, but can prevent working old addons
#        that use normal languages for sending data to another clients.
#        Default: 0 (disible fake messages preventing)
#                 1 (enabled fake messages preventing)
#
#    ChatStrictLinkChecking.Severity
#        Check chat messages for ingame links to spells, items, quests, achievements etc.
#        Default: 0 (disable link checking)
#                 1 (check if only valid pipe commands are used. This prevents posting pictures for example)
#                 2 (verifiy that pipe commands are used in a correct order)
#                 3 (check if color, entry and name don't contradict each other. For correct work, please assure
#                    that you have extracted locale DBCs of every language specific client playing on this server.)
#
#    ChatStrictLinkChecking.Kick
#        Defines, what should be done if a message is considered to contain invalid pipe commands.
#        Default: 0 (silently ignore message)
#                 1 (kick players who sent invalid formed messages)
#
#    ChatFlood.MessageCount
#        Chat anti-flood protection, haste message count to activate protection
#        Default: 10
#                 0 (disible anti-flood protection)
#
#    ChatFlood.MessageDelay
#        Chat anti-flood protection, minimum message delay to count message
#        Default: 1 (in secs)
#
#    ChatFlood.MuteTime
#        Chat anti-flood protection, mute time at activation flood protection (not saved)
#        Default: 10 (in secs)
#
#    Channel.RestrictedLfg
#        Restrict use LookupForGroup channel only registered in LFG tool players
#        Default: 1 (allow join to channel only if active in LFG)
#                 0 (allow join to channel in any time)
#
#    Channel.SilentlyGMJoin
#        Silently join GM characters (security level > 1) to channels
#        Default: 0 (join announcement in normal way)
#                 1 (GM join without announcement)
#
###################################################################################################################

ChatFakeMessagePreventing = 0
ChatStrictLinkChecking.Severity = 0
ChatStrictLinkChecking.Kick = 0
ChatFlood.MessageCount = 10
ChatFlood.MessageDelay = 1
ChatFlood.MuteTime = 10
Channel.RestrictedLfg = 1
Channel.SilentlyGMJoin = 0

###################################################################################################################
# GAME MASTER SETTINGS
#
#    GM.LoginState
#        GM mode at login
#        Default: 2 (last save state)
#                 0 (disable)
#                 1 (enable)
#
#    GM.Visible
#        GM visibility at login
#        Default: 2 (last save state)
#                 0 (invisible)
#                 1 (visible)
#
#    GM.AcceptTickets
#        Is GM accepting tickets from player by default or not.
#        Default: 2 (last save state)
#                 0 (disable)
#                 1 (enable)
#
#    GM.Chat
#        GM chat mode at login
#        Default: 2 (last save state)
#                 0 (disable)
#                 1 (enable)
#
#    GM.WhisperingTo
#        Is GM accepting whispers from player by default or not.
#        Default: 2 (last save state)
#                 0 (disable)
#                 1 (enable)
#
#    GM.InGMList.Level
#        Max GM level showed in GM list (if visible) in non-GM state (.gm off)
#                 0 (none)
#                 1 (only moderators)
#                 2 (only gamemasters)
#        Default: 3 (anyone)
#
#    GM.InWhoList.Level
#        Max GM level showed in who list (if visible).
#                 0 (only players)
#                 1 (only moderators)
#                 2 (only gamemasters)
#        Default: 3 (anyone)
#
#    GM.LogTrade
#        Include GM trade and trade slot enchanting operations in GM log if it enable
#        Default: 1 (include)
#                 0 (not include)
#
#    GM.StartLevel
#        GM starting level (1-100)
#        Default: 1
#
#    GM.LowerSecurity
#        Disallow a lower security member to interact with a higher one using commands
#        Default: 0 (disable)
#                 1 (enable)
#
#    GM.AllowAchievementGain
#        If enabled it allows gaining achievements for GM characters
#        Default: 1 (enable)
#                 0 (disable)
#
###################################################################################################################

GM.LoginState            = 2
GM.Visible               = 1
GM.AcceptTickets         = 1
GM.Chat                  = 2
GM.WhisperingTo          = 1
GM.InGMList.Level        = 3
GM.InWhoList.Level       = 3
GM.LogTrade              = 1
GM.StartLevel            = 1
GM.LowerSecurity         = 0
GM.AllowAchievementGain  = 1

###################################################################################################################
# VISIBILITY AND RADIUSES
#
#    Visibility.GroupMode
#        Group visibility modes
#        Default: 0 (standard setting: only members from same group can 100% auto detect invisible player)
#                 1 (raid members 100% auto detect invisible player from same raid)
#                 2 (players from same team can 100% auto detect invisible player)
#
#    Visibility.Distance.Continents
#    Visibility.Distance.Instances
#    Visibility.Distance.BGArenas
#        Visibility distance for different ingame object in different maps.
#        Visibility on continents on offy ~90 yards. In BG/Arenas ~180. For instances default ~120.
#        Max limited by active player zone: ~ 333
#        Min limit is max aggro radius (45) * Rate.Creature.Aggro
#
#    Visibility.Distance.Object
#        Visible distance for gameobject, dynobject, bodies, corpses, bones
#        Min limit is iteraction distance (5)
#
#    Visibility.Distance.InFlight
#        Visible distance for player in flight
#        Min limit is 0 (not show any objects)
#
#    Visibility.Distance.Grey.Unit
#        Visibility grey distance for creatures/players (fast changing objects)
#        addition to appropriate object type Visibility.Distance.* use in case visibility removing to
#        object (except corpse around distences) If � is distance and G is grey distance then object
#        make visible if distance to it <= D but make non visible if distance > D+G
#        Default: 1 (yard)
#
#    Visibility.Distance.Grey.Object
#        Visibility grey distance for dynobjects/gameobjects/corpses/creature bodies
#        Default: 10 (yards)
#
#
###################################################################################################################

Visibility.GroupMode = 0
Visibility.Distance.Continents    = 90
Visibility.Distance.Instances     = 120
Visibility.Distance.BGArenas      = 180
Visibility.Distance.Object        = 100
Visibility.Distance.InFlight      = 100
Visibility.Distance.Grey.Unit   = 1
Visibility.Distance.Grey.Object = 10

###################################################################################################################
# SERVER RATES
#
#    Rate.Health
#    Rate.Mana
#    Rate.Rage.Income
#    Rate.Rage.Loss
#    Rate.RunicPower.Income
#    Rate.RunicPower.Loss
#    Rate.Focus
#        Health and power regeneration and rage income from damage.
#        Default: 1
#
#    Rate.Skill.Discovery
#         Skill Discovery Rates
#         Default: 1
#
#    Rate.Drop.Item.Poor
#    Rate.Drop.Item.Normal
#    Rate.Drop.Item.Uncommon
#    Rate.Drop.Item.Rare
#    Rate.Drop.Item.Epic
#    Rate.Drop.Item.Legendary
#    Rate.Drop.Item.Artifact
#    Rate.Drop.Item.Referenced
#    Rate.Drop.Money
#         Drop rates (items by quality and money)
#         Default: 1
#
#    Rate.XP.Kill
#    Rate.XP.Quest
#    Rate.XP.Explore
#        XP rates
#        Default: 1
#
#    Rate.Rest.InGame
#    Rate.Rest.Offline.InTavernOrCity
#    Rate.Rest.Offline.InWilderness
#        Resting points grow rates (1 - normal, 2 - double rate, 0.5 - half rate, etc) from standard values
#
#    Rate.Damage.Fall
#        Damage after fall rate. (1 - standard, 2 - double damage, 0.5 - half damage, etc)
#
#    Rate.Auction.Time
#    Rate.Auction.Deposit
#    Rate.Auction.Cut
#        Auction rates (auction time, deposit get at auction start, auction cut from price at auction end)
#
#    Rate.Honor
#        Honor gain rate
#
#    Rate.Mining.Amount
#    Rate.Mining.Next
#        Mining Rates (Mining.Amount changes minimum/maximum usetimes of a deposit,
#        Mining.Next changes chance to have next use of a deposit)
#
#    Rate.Talent
#        Talent Point rates
#        Default: 1
#
#    Rate.Reputation.Gain
#         Reputation Gain rate
#         Default: 1
#
#    Rate.Reputation.LowLevel.Kill
#         Reputation Gain form low level kill (grey creture)
#         Default: 1
#
#    Rate.Reputation.LowLevel.Quest
#         Reputation Gain rate
#         Default: 1
#
#    Rate.InstanceResetTime
#        Multiplier for the number of days in between global raid/heroic instance resets.
#        Default: 1
#
#    SkillGain.Crafting
#    SkillGain.Defense
#    SkillGain.Gathering
#    SkillGain.Weapon
#         crafting/defense/gathering/weapon skills gain at skill grow (1,2,...)
#         Default: 1
#
#    SkillChance.Orange
#    SkillChance.Yellow
#    SkillChance.Green
#    SkillChance.Grey
#        Skill chance values (0..100)
#        Default: 100-75-25-0
#
#    SkillChance.MiningSteps
#    SkillChance.SkinningSteps
#         For skinning and Mining chance decrease with skill level.
#         Default: 0  - no decrease
#                  75 - in 2 times each 75 skill points
#
#    DurabilityLossChance.Damage
#         Chance lost one from equiped items durability point at damage apply or receive.
#         Default: 0.5 (100/0.5 = 200) Each 200 damage apply one from 19 possible equipped items
#
#    DurabilityLossChance.Absorb
#         Chance lost one from armor items durability point at damage absorb.
#         Default: 0.5 (100/0.5 = 200) Each 200 absorbs apply one from 15 possible armor equipped items
#
#    DurabilityLossChance.Parry
#         Chance lost weapon durability point at parry.
#         Default: 0.05 (100/0.05 = 2000) Each 2000 parry attacks main weapon lost point
#
#    DurabilityLossChance.Block
#         Chance lost sheild durability point at damage block.
#         Default: 0.05 (100/0.05 = 2000) Each 2000 partly or full blocked attacks shield lost point
#
#    Death.SicknessLevel
#         Starting Character start gain sickness at spirit resurrection (1 min)
#         Default: 11
#                  -10 - character will have full time (10min) sickness at 1 level
#                  maxplayerlevel+1 - chaarcter will not have sickess at any level
#
#    Death.CorpseReclaimDelay.PvP
#    Death.CorpseReclaimDelay.PvE
#         Enabled/disabled increase corpse reclaim delay at often PvP/PvE deaths
#         Default: 1 (enabled)
#                  0 (disabled)
#
#    Death.Bones.World
#    Death.Bones.BattlegroundOrArena
#         Enable/disable creating bones instead corpse at resurrection (in normal zones/instacnes, or battleground/arenas)
#         Default: 1 (enabled)
#                  0 (disabled)
#
###################################################################################################################

Rate.Health = 2
Rate.Mana = 2
Rate.Rage.Income = 1
Rate.Rage.Loss = 1
Rate.RunicPower.Income = 1
Rate.RunicPower.Loss = 1
Rate.Focus = 1
Rate.Skill.Discovery = 1
Rate.Drop.Item.Poor = 1
Rate.Drop.Item.Normal = 1
Rate.Drop.Item.Uncommon = 2
Rate.Drop.Item.Rare = 2
Rate.Drop.Item.Epic = 2
Rate.Drop.Item.Legendary = 1
Rate.Drop.Item.Artifact = 1
Rate.Drop.Item.Referenced = 1
Rate.Drop.Money = 3
Rate.XP.Kill    = 3
Rate.XP.Quest   = 3
Rate.XP.Explore = 3
Rate.Rest.InGame = 1
Rate.Rest.Offline.InTavernOrCity = 1
Rate.Rest.Offline.InWilderness = 1
Rate.Damage.Fall = 1
Rate.Auction.Time = 1
Rate.Auction.Deposit = 1
Rate.Auction.Cut = 1
Rate.Honor = 3
Rate.Mining.Amount = 1
Rate.Mining.Next   = 1
Rate.Talent = 1
Rate.Reputation.Gain = 3
Rate.Reputation.LowLevel.Kill    = 3
Rate.Reputation.LowLevel.Quest   = 3
Rate.InstanceResetTime = 1
SkillGain.Crafting = 1
SkillGain.Defense = 3
SkillGain.Gathering = 2
SkillGain.Weapon = 3
SkillChance.Orange = 100
SkillChance.Yellow = 75
SkillChance.Green  = 50
SkillChance.Grey   = 0
SkillChance.MiningSteps   = 0
SkillChance.SkinningSteps = 0
DurabilityLossChance.Damage = 0.5
DurabilityLossChance.Absorb = 0.5
DurabilityLossChance.Parry  = 0.05
DurabilityLossChance.Block  = 0.05
Death.SicknessLevel = 11
Death.CorpseReclaimDelay.PvP = 1
Death.CorpseReclaimDelay.PvE = 1
Death.Bones.World = 1
Death.Bones.BattlegroundOrArena = 1

###################################################################################################################
# BATTLEGROUND CONFIG
#
#    Battleground.CastDeserter
#        Cast Deserter spell at player who leave battleground in progress
#        Default: 1 (enable)
#                 0 (disable)
#
#    Battleground.QueueAnnouncer.Enable
#        Enable queue announcer posting to chat
#        Default: 0 (disable)
#                 1 (enable)
#
#    Battleground.QueueAnnouncer.PlayerOnly
#        Enable queue announcer posting to chat
#        Default: 0 (disable)
#                 1 (enable)
#
#    Battleground.InvitationType
#        Set Battleground invitation type
#        Default: 0 (normal - invite as much players to bg as possible, don't bother with ballance)
#                 1 (Experimental - don't allow to invite much more players of one faction)
#
#    Battleground.PrematureFinishTimer
#        The time to end the bg if there are less than MinPlayersPerTeam on one side in milliseconds
#        Default: 300000 (5 minutes)
#                 0 - disable (not recommended)
#
#    BattleGround.PremadeGroupWaitForMatch
#        The time in which premade group of 1 faction waits in BG Queue for premade group of other faction
#        Default: 1800000 (30 minutes)
#                 0 - disable (not recommended)
#
###################################################################################################################

Battleground.CastDeserter = 1
Battleground.QueueAnnouncer.Enable = 0
Battleground.QueueAnnouncer.PlayerOnly = 0
Battleground.InvitationType = 0
BattleGround.PrematureFinishTimer = 300000
BattleGround.PremadeGroupWaitForMatch = 1800000

###################################################################################################################
# ARENA CONFIG
#
#    Arena.MaxRatingDifference
#        The maximum rating difference between two groups in rated matches
#        Default: 150 (enable, recommended)
#                 0 (disable, rating difference is discarded)
#
#    Arena.RatingDiscardTimer
#        After the specified milliseconds has passed,
#        rating information will be discarded when selecting teams for matches
#        also initiates an update by this timer
#        Default: 600000 (10 minutes, recommended)
#                 0 (disable)
#
#    Arena.AutoDistributePoints
#        Set if arena points should be distributed automatically, or by GM command
#        Default: 0 (disable) (recommended): use gm command or sql query to distribute the points
#                 1 (enable)  arena points are distributed automatically
#
#    Arena.AutoDistributeInterval
#        How often should the distribution take place
#        If automatic distribution is enabled in days
#        Default: 7 (weekly)
#
#    Arena.QueueEnterAnnouncer.Enable
#        Enable arena queue announcer posting to chat at enter
#        Default: 0 (disable)
#                 1 (enable)
#
#    Arena.QueueLeaveAnnouncer.Enable
#        Enable arena queue announcer posting to chat at leave
#        Default: 0 (disable)
#                 1 (enable)
#
#    Arena.ArenaSeason.ID
#        Current area season id show in client
#        Default: 1
#
#    Arena.ArenaSeason.InProgress
#        Current area season state
#        Default: 1 (active)
#                 0 (finished)
#
###################################################################################################################

Arena.MaxRatingDifference = 150
Arena.RatingDiscardTimer = 600000
Arena.AutoDistributePoints = 0
Arena.AutoDistributeInterval = 7
Arena.QueueEnterAnnouncer.Enable = 0
Arena.QueueLeaveAnnouncer.Enable = 0
Arena.ArenaSeason.ID = 1
Arena.ArenaSeason.InProgress = 1

###################################################################################################################
# NETWORK CONFIG
#
#    Network.Threads
#         Number of threads for network, recommend 1 thread per 1000 connections.
#         Default: 1
#
#    Network.OutKBuff
#         The size of the output kernel buffer used ( SO_SNDBUF socket option, tcp manual ).
#         Default: -1 (Use system default setting)
#
#    Network.OutUBuff
#         Userspace buffer for output. This is amount of memory reserved per each connection.
#         Default: 65536
#
#    Network.TcpNoDelay:
#         TCP Nagle algorithm setting
#         Default: 0 (enable Nagle algorithm, less traffic, more latency)
#                  1 (TCP_NO_DELAY, disable Nagle algorithm, more traffic but less latency)
#
###################################################################################################################

Network.Threads = 1
Network.OutKBuff = -1
Network.OutUBuff = 65536
Network.TcpNodelay = 1

###################################################################################################################
# CONSOLE AND REMOTE ACCESS
#
#    Console.Enable
#        Enable console
#        Default: 1 - on
#                 0 - off
#
#    Ra.Enable
#        Enable remote console
#        Default: 0 - off
#                 1 - on
#
#    Ra.IP
#        Default remote console ip address, use 0.0.0.0 for every address
#
#    Ra.Port
#        Default remote console port
#
#    Ra.MinLevel
#        Minimum level that's required to login,3 by default
#
#    Ra.Secure
#        Kick client on wrong pass
#
###################################################################################################################

Console.Enable = 1
Ra.Enable = 0
Ra.IP = 0.0.0.0
Ra.Port = 3443
Ra.MinLevel = 3
Ra.Secure = 1

###################################################################################################################
# MOVEMENT ANTICHEAT
#
#    Anticheat.Movement.Enable
#        Enable Movement Anticheat
#        Default: 0 - off
#                 1 - on
#
#    Anticheat.Movement.AlarmCount
#        Count alarms. After AlarmCount is exceeded, actions are taken against the player. (default 5)
#
#    Anticheat.Movement.AlarmTime
#        Reset alarm-count after this milliseconds. (default 5000)
#
#    Anticheat.Movement.Kill
#        Enable Kill cheater
#        Default: 0 - off
#                 1 - on
#
#    Anticheat.Movement.Kick
#        Enable Kick cheater
#        Default: 0 - off
#                 1 - on
#
#    Anticheat.Movement.BanType
#        Enable Ban cheater
#        Default: 0 - off
#                 1 - Ban Account
#                 2 - Ban IP
#                 3 - Ban Account + IP
#
#    Anticheat.Movement.BanTime
#        How long the ban should last.
#        Default: 1 Minute - 1m
#
#    Anticheat.Movement.MaxXYT
#        Max units a player is allowed to travel per millisecond.
#        Default: 0.04 (This is ~400% Speed, 0.007 is walk-speed, 310% is 0.0287)
#
#    Anticheat.Movement.IgnoreSecAfterTeleport
#        After being teleported this number of seconds no cheat is reported.
#        Default: 10 seconds - 10
#
#    Anticheat.Movement.GmLevel
#        Only accounts that are below this gm-level or exact at the same, are reported for cheating.
#        Default: Only normal Players - 0
#
###################################################################################################################

Anticheat.Movement.Enable = 0
Anticheat.Movement.AlarmCount = 5
Anticheat.Movement.AlarmTime = 5000
Anticheat.Movement.Kill = 0
Anticheat.Movement.Kick = 0
Anticheat.Movement.BanType = 0
Anticheat.Movement.BanTime = "1m"
Anticheat.Movement.MaxXYT = 0.04
Anticheat.Movement.IgnoreSecAfterTeleport = 10
Anticheat.Movement.GmLevel = 0

###################################################################################################################
# AUTO BROADCAST
#
#    AutoBroadcast.On
#        Enable auto broadcast
#        Default: 0 - off
#                 1 - on
#
#    AutoBroadcast.Center
#        Display method
#        Default: 0 - announce
#                 1 - notify
#                 2 - both
#
#    AutoBroadcast.Timer
#        Timer for auto broadcast
#
###################################################################################################################

AutoBroadcast.On = 0
AutoBroadcast.Center = 2
AutoBroadcast.Timer = 30000

###################################################################################################################
# AUCTION HOUSE BOT SETTINGS
# 
#    AuctionHouseBot.EnableSeller
#        Enable/Disable the part of AHBot that puts items up for auction
#    Default 0 (disabled)
#
#    AuctionHouseBot.EnableBuyer
#        Enable/Disable the part of AHBot that buys items from players
#    Default 0 (disabled)
#
#    Auction House Bot character data
#        AuctionHouseBot.Account is the account number (in realmd->account table) of the player you want to run as the auction bot.
# 	    AuctionHouseBot.GUID is the GUID (in characters->characters table) of the player you want to run as the auction bot. 
#    Default: 0 (Auction House Bot disabled)
#
#    AuctionHouseBot.VendorItems
#        Include items that can be bought from vendors.
#    Default 0
#
#    AuctionHouseBot.LootItems
#        Include items that can be looted or fished for.
#    Default 1
#
#    AuctionHouseBot.OtherItems
#        Include misc. items.
#    Default 0
#
#    AuctionHouseBot.Bonding_types
#        Indicates which bonding types to allow seller to put up for auction
#            No_Bind
#             Default 1
#            Bind_When_Picked_Up
#             Default 0
#            Bind_When_Equipped
#             Default 1
#            Bind_When_Use
#             Default 1
#            Bind_Quest_Item
#             Default 0
#              
#    AuctionHouseBot.ItemsPerCycle
#        Number of Items to Add/Remove from the AH during mass operations
#    Default 200
#
#    AuctionHouseBot.UseBuyPriceForSeller
#        Should the Seller use BuyPrice or SellPrice to determine Bid Prices
#    Default 0 (use SellPrice)
#
#    AuctionHouseBot.UseBuyPriceForBuyer
#        Should the Buyer use BuyPrice or SellPrice to determine Bid Prices
#    Default 0 (use SellPrice)
#
#    All other settings have been moved to sql
#
###################################################################################################################

AuctionHouseBot.EnableSeller = 1
AuctionHouseBot.EnableBuyer = 1
AuctionHouseBot.Account = 2
AuctionHouseBot.GUID = 1
AuctionHouseBot.VendorItems = 0
AuctionHouseBot.LootItems = 1
AuctionHouseBot.OtherItems = 1
AuctionHouseBot.No_Bind = 1
AuctionHouseBot.Bind_When_Picked_Up = 0
AuctionHouseBot.Bind_When_Equipped = 1
AuctionHouseBot.Bind_When_Use = 1
AuctionHouseBot.Bind_Quest_Item = 0
AuctionHouseBot.ItemsPerCycle = 300
AuctionHouseBot.UseBuyPriceForSeller = 1
AuctionHouseBot.UseBuyPriceForBuyer = 1

###################################################################################################################
# PvP Token System (custom patch)
#
#    PvPToken.Enable
#         Enable/disable PvP Token system.
#         Default: 1 (enabled)
#                  0 (disabled)
#
#    PvPToken.ItemID
#         The item ID of the token that players will receive after killing an enemy.
#         Default: 29434 (Badge of Justice)
#
#    PvPToken.ItemCount
#         The count amount of the ItemID
#         Default: 1
#
#    PvPToken.MapRestriction
#         The type of maps where players can receive the token
#         Default: 4 - all maps
#                  3 - battlegrounds only
#                  2 - FFA areas only (both instanced and world arenas)
#                  1 - battlegrounds and FFA areas only
#
###################################################################################################################

PvPToken.Enable = 1
PvPToken.ItemID = 29434
PvPToken.ItemCount = 1
PvPToken.MapRestriction = 4

###################################################################################################################
# Extra options (custom) - ImpConfig - http://www.manground.org/forum/index.php?showforum=10
#
#	PlayerStart.MapsExplored
#		Players will start with all maps explored if enabled
#
#	PlayerStart.DefaultGuildId
#		New players will automatically get added to this guild if a ID is used.
#
#	HonorPointsAfterDuel
#		The amount of honor points the duel winner will get after a duel.
#		Default: 0 - disable
#
#	NoResetTalentsCost
#		Enable or disable no cost for talent resetting
#
###################################################################################################################

PlayerStart.MapsExplored = 0
PlayerStart.DefaultGuildId = 0
HonorPointsAfterDuel = 1
NoResetTalentsCost = 0

###################################################################################################################
# PLAYERBOTAI CONFIGURATION
#
#    PlayerbotAI.DebugWhisper
#        Enable debug output by whispering master
#        Default: 0 - off
#                 1 - on
#
#    PlayerbotAI.FollowDistanceMin
#    PlayerbotAI.FollowDistanceMax
#        Min. and max. follow distance for bots
#        Default: 0.5 / 1.0
###################################################################################################################

PlayerbotAI.DebugWhisper = 0
PlayerbotAI.FollowDistanceMin = 0.5
PlayerbotAI.FollowDistanceMax = 1.0
